Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595601 - postgis doesn't work with postgresql84-server
Summary: postgis doesn't work with postgresql84-server
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: postgis
Version: el5
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-25 06:58 UTC by Ricardo Arguello
Modified: 2017-04-06 10:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-06 10:37:00 UTC


Attachments (Terms of Use)

Description Ricardo Arguello 2010-05-25 06:58:54 UTC
Description of problem:

If you install the new postgresql84-server from RHEL 5.5 and postgis from EPEL, you can't create a database that uses postgis. The execution of the /usr/share/pgsql/contrib/lwpostgis.sql file fails.

Version-Release number of selected component (if applicable):
postgis-1.3.2-1

How reproducible:
Install postgresql84-server and postgis.
Try to use postgis

Steps to Reproduce:
# yum install postgresql84-server postgis
# service postgresql initdb
# service postgresql start
# su - postgres
$ createdb postgis_test
$ createlang plpgsql postgis_test
$ psql -d postgis_test -f /usr/share/pgsql/contrib/lwpostgis.sql

  
Actual results:
ERROR:
psql:/usr/share/pgsql/contrib/lwpostgis.sql:44: ERROR:  permission denied for language c

Expected results:
...
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
COMMIT


Additional info:

I downloaded the postgis source RPM and changed the dependencies to "postgresql84" instead of postgresql".

When I did an "rpmbuild -bb postgis.spec" it didn't compile correctly.
I read on the postgis website that PostgreSQL is supported since postgis-1.3.6. So I downloaded postgis-1.3.6.tgz and changed the spec file again, and it worked!

When I did the steps from above with the postgis-1.3.6 RPM I created, compiled against postgresql84-devel, everything worked correctly.

I believe we have to use the latest 1.3.x version of postgis for this to work.

Maybe we need a postgis84 package to support postgresql84?

Comment 1 Devrim Gündüz 2010-05-25 07:10:10 UTC
Uhh... Looking.

Comment 2 Devrim Gündüz 2010-05-25 08:20:15 UTC
Could you please try

http://koji.fedoraproject.org/koji/buildinfo?buildID=174965

and let me know whether those packages solve your problem?

Regards, Devrim

Comment 3 Ricardo Arguello 2010-05-25 16:08:36 UTC
Nope, it fails to execute the postgis SQL script too.

I read your spec and I think it needs to depend on postgresql84-devel instead of postgresql-devel. Using that dependency the script executes correctly.

Comment 4 Devrim Gündüz 2010-05-26 08:12:34 UTC
It means adding another package to repository, and I will ask about how to do it for a specific package. Ok, I'm on it.

Comment 5 Fedora End Of Life 2017-04-06 10:37:00 UTC
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.